Bug 969417 - Review Request: aime - An application embeddable programming language interpreter
Review Request: aime - An application embeddable programming language interpr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 07:41 EDT by Christopher Meng
Modified: 2013-08-10 16:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: aime-6.20130713-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-10 16:05:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
spacewar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-31 07:41:03 EDT
Spec URL: http://cicku.me/aime.spec
SRPM URL: http://cicku.me/aime-5.20130520-1.fc20.src.rpm
Description: aime is a programming language, with a C like syntax, intended for application
extending purposes. The aime collection comprises the language description, an
application embeddable interpreter (libaime), the interpreter C interface
description and a standalone interpreter. Many examples on how the interpreter
can be used (embedded in an application) are also available, together with 
some hopefully useful applications, such as expression evaluators.
Fedora Account System Username: cicku
Comment 1 Eric Smith 2013-07-29 00:46:06 EDT
There are two issues:
* must notify upstream of incorrect GPL address (many files with GPLv2)
* should update to latest upstream (aime-6.20130713)

Provided that you notify upstream of the incorrect GPL address, this
package is APPROVED.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Texinfo files are properly installed
     Note: Texinfo .info file(s) in aime
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "GPL (v3 or later)". Detailed output of licensecheck in
     /home/eric/fedpkg/969417-aime/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: aime-5.20130520-1.fc19.x86_64.rpm
          aime-devel-5.20130520-1.fc19.x86_64.rpm
aime.x86_64: W: spelling-error Summary(en_US) embeddable -> embedded
aime.x86_64: W: spelling-error %description -l en_US embeddable -> embedded
aime.x86_64: W: spelling-error %description -l en_US evaluators -> evaluates, evaporators, elevators
aime.x86_64: W: no-manual-page-for-binary express18
aime.x86_64: W: no-manual-page-for-binary express33
aime-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint aime aime-devel
aime.x86_64: W: spelling-error Summary(en_US) embeddable -> embedded
aime.x86_64: W: spelling-error %description -l en_US embeddable -> embedded
aime.x86_64: W: spelling-error %description -l en_US evaluators -> evaluates, evaporators, elevators
aime.x86_64: W: no-manual-page-for-binary express18
aime.x86_64: W: no-manual-page-for-binary express33
aime-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
aime (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/install-info
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

aime-devel (rpmlib, GLIBC filtered):
    aime(x86-64)



Provides
--------
aime:
    aime
    aime(x86-64)

aime-devel:
    aime-devel
    aime-devel(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/project/aime-embedded/aime/aime-5.20130520/aime-5.20130520.tar.gz :
  CHECKSUM(SHA256) this package     : 05456c07a00c4e1a5ff067f571ce13c4f6bf257fcfffa5c1588671e4bf51af98
  CHECKSUM(SHA256) upstream package : 05456c07a00c4e1a5ff067f571ce13c4f6bf257fcfffa5c1588671e4bf51af98


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 969417
Comment 2 Christopher Meng 2013-07-29 04:50:12 EDT
New Package SCM Request
=======================
Package Name: aime
Short Description: An application embeddable programming language interpreter
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 3 Gwyn Ciesla 2013-07-29 08:10:54 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-07-29 22:08:58 EDT
aime-6.20130713-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/aime-6.20130713-1.fc19
Comment 5 Fedora Update System 2013-07-29 22:09:56 EDT
aime-6.20130713-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/aime-6.20130713-1.fc18
Comment 6 Fedora Update System 2013-08-01 23:31:47 EDT
aime-6.20130713-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-08-10 16:05:25 EDT
aime-6.20130713-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 8 Fedora Update System 2013-08-10 16:06:03 EDT
aime-6.20130713-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.